Bug 1284971 - RFE: Disk space usage by a LVM snapshot
RFE: Disk space usage by a LVM snapshot
Status: NEW
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Zdenek Kabelac
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 10:07 EST by Gudge
Modified: 2016-04-08 02:08 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-08 02:06:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gudge 2015-11-24 10:07:11 EST
Description of problem:
Enhance thin tools support to calculate actual disk usage of thin logical volumes and LVM Snapshots created from a thin logical volume.

Expected results:
The actual disk usage of each lvm snapshot and lvm thin volume. 
If possible the capability to ask for the size based on thin id/name of the snapshot or thin logical volume.

Thanks
Comment 1 Heinz Mauelshagen 2015-11-24 10:28:37 EST
In case you're requesting the metadata footage, see tool thin_metadata_size
Comment 2 Zdenek Kabelac 2015-11-24 10:50:11 EST
The bug here tries to learn the 'space' occupied by  individual LV.


It has  some 'shared' mapppings
And some 'exlusive' mappings.



Initially we should provide some 'script'  to calc these 2 values.

Later those could be built-in into e.g. thin_dump tool.

Let's think about how lvm2 could make it easier for user.
Comment 3 Gudge 2016-04-07 14:45:29 EDT
Could you please let me know if there are any plans for this RFE. 

Thanks
Comment 4 Mike Snitzer 2016-04-07 14:52:34 EDT
(In reply to Gudge from comment #3)
> Could you please let me know if there are any plans for this RFE. 

The latest device-mapper-persistent-data package should include the new 'thin_ls' utility.  But I'll defer to Joe and/or Peter to say definitively.
Comment 5 Peter Rajnoha 2016-04-08 02:06:29 EDT
Yes, we have thin_ls in device-mapper-persistent-data package since device-mapper-persistent-data-0.6.0-1 (20th January).
Comment 6 Peter Rajnoha 2016-04-08 02:08:26 EDT
But still, we're planning to display this info in LVM command directly (this is RFE for lvm2).

Note You need to log in before you can comment on or make changes to this bug.